{
    "tasks": {
        "dev": "deno run --watch main.ts"
    },
    "imports": {
        "@luca/esbuild-deno-loader": "jsr:@luca/esbuild-deno-loader@^0.11.1",
        "@std/assert": "jsr:@std/assert@1",
        "@shared/": "./shared/",
        "esbuild": "npm:esbuild@^0.24.2",
        "esbuild-plugin-tsc": "npm:esbuild-plugin-tsc@^0.4.0",
        "fast-glob": "npm:fast-glob@^3.3.3",
        "typescript": "npm:typescript@^5.7.3"
    },
    "compilerOptions": {
        "jsx": "precompile",
        "jsxImportSource": "hono/jsx"
    },
    "workspace": [
        "./client",
        "./server",
        "./shared"
    ],
    "fmt": {
        "indentWidth": 4
    },
    "nodeModulesDir": "auto",
    "vendor": true
}
